### Index

DataSourceRefreshToMethodAdapterFactory (src/.../data-source-refresh-to-method-adapter-factory.ts) initGenerator (src/.../generator.ts) observableDataSource (src/.../observable.data-source.ts) pipeDataSource (src/.../pipe.data-source.ts) RxapDataSource (src/.../base.data-source.ts) RxapObservableDataSource (src/.../observable.data-source.ts) RxapPipeDataSource (src/.../pipe.data-source.ts) RxapStaticDataSource (src/.../static.data-source.ts) staticDataSource (src/.../static.data-source.ts)

### src/lib/data-source-refresh-to-method-adapter-factory.ts

###

DataSourceRefreshToMethodAdapterFactory
`DataSourceRefreshToMethodAdapterFactory(dataSource: BaseDataSource)`
Parameters :
Name | Type | Optional
dataSource | `BaseDataSource` | No

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`
Parameters :
Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/observable.data-source.ts

###

observableDataSource
`observableDataSource(data: Observable, metadata: ObservableDataSourceMetadata)`
Parameters :
Name | Type | Optional | Default value
data | `Observable` | No |
metadata | `ObservableDataSourceMetadata` | No | `{ id: 'static' }`
Returns : `ObservableDataSource<Data>`

RxapObservableDataSource
`RxapObservableDataSource(metadata: ObservableDataSourceMetadata, className: string, packageName: string)`
Parameters :
Name | Type | Optional | Default value
metadata | `ObservableDataSourceMetadata` | No |
className | `string` | No | `'ObservableDataSource'`
packageName | `string` | No | `'@rxap/data-source'`

### src/lib/pipe.data-source.ts

###

pipeDataSource
`pipeDataSource(dataSource: BaseDataSource, operation: OperatorFunction, ...operations: Array)`
Parameters :
Name | Type | Optional
dataSource | `BaseDataSource` | No
operation | `OperatorFunction` | No
operations | `Array` | No
Returns : `PipeDataSource<Source, Target>`

RxapPipeDataSource
`RxapPipeDataSource(metadata: PipeDataSourceMetadata, className: string, packageName: string)`
Parameters :
Name | Type | Optional | Default value
metadata | `PipeDataSourceMetadata` | No |
className | `string` | No | `'PipeDataSource'`
packageName | `string` | No | `'@rxap/data-source'`

### src/lib/base.data-source.ts

###

RxapDataSource
`RxapDataSource(dataSourceIdOrMetadata, className: string, packageName: string)`
Parameters :
Name | Type | Optional | Default value
dataSourceIdOrMetadata |  | No |
className | `string` | No | `'BaseDataSource'`
packageName | `string` | No | `'@rxap/data-source'`

### src/lib/static.data-source.ts

###

RxapStaticDataSource
`RxapStaticDataSource(metadata: StaticDataSourceMetadata, className: string, packageName: string)`
Parameters :
Name | Type | Optional | Default value
metadata | `StaticDataSourceMetadata` | No |
className | `string` | No | `'StaticDataSource'`
packageName | `string` | No | `'@rxap/data-source'`

staticDataSource
`staticDataSource(data: StaticDataSourceData, metadata: StaticDataSourceMetadata)`
Parameters :
Name | Type | Optional | Default value
data | `StaticDataSourceData` | No |
metadata | `StaticDataSourceMetadata` | No | `{ id: 'static' }`
Returns : `StaticDataSource<Data>`

# results matching ""

# No results matching ""